Set a category for a transactionput https://example.com/programs/{programCode}/accounts/{accountIdentifier}/userCategorySets a user-defined category for a specific transaction.Path ParamsprogramCodestringrequiredThe program code identifying the BaaS program context.accountIdentifierstringrequiredThe unique identifier for the account associated with the transaction.Body ParamsThe request payload containing category details. AccountIdentifier: The account identifier. TransactionIdentifier: The transaction identifier. Category: The category to set for the transaction. categoriedTransactionsarray of objects | nullThe list of transactions with user-defined categories to be set or updated. Each Gd.Bos.DataTransfer.CategoriedTransaction contains transaction details and the assigned category.categoriedTransactionsADD objectHeadersX-GD-RequestIdstringrequiredA unique request identifier for tracking and logging. Should be a GUID.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 2 months ago